import { Client, CmdContext, Command } from '../class';

import Judgement_Add from './judgement_add';
import Judgement_Delete from './judgement_delete';

export default class Judgement extends Command {
  constructor(client: Client) {
    super(client);
    this.name = 'judgement';
    this.description = 'Creates or deletes a judgement.';
    this.usage = `${this.client.config.prefix}judgement`;
    this.permissions = 5;
    this.guildOnly = true;
    this.enabled = true;
    this.subcmds = [Judgement_Add, Judgement_Delete];
  }

  public async run(ctx: CmdContext) {
    if (!ctx.args[0]) return this.client.commands.get('help').run(new CmdContext(ctx.message, [this.name]));
  }
}
